import { Item } from "..";
import { DesignPriceCalculatorRuleBased } from "../../../../libs/pricingRuleBase/DesignPriceCalculatorRuleBased";
import { Integration, PlatformAttributeSelection } from "./Integration";
export default class MerchantIntegrationPreview implements Integration {
    constructor();
    addToCart(composition: any, design: any, model: any, attributes: PlatformAttributeSelection[], designItems: Item[], quantity: number, additionalProperties: Record<string, any>): void;
    getPrice(composition: any, design: any, model: any, attributes: any, compositionPrice: any, isCustomPricingConfiguratorEnabled: any, isCustomPricingRuleBasedEnabled: any, quantity: number): Promise<{
        price: number;
        isOutOfStock: boolean;
    }>;
    getSharedCompositionUrl(compositionDocID: string): Promise<{
        url: string;
    }>;
    setPricingCalculator(pricingCalculator: DesignPriceCalculatorRuleBased): void;
    close(): void;
}
